Loading...
Searching...
No Matches
seqan3::literals Namespace Reference

The SeqAn namespace for literals. More...

## Functions

Other literals
constexpr cigar::operation | operator""_cigar_operation (char const c) noexcept
| The seqan3::cigar::operation char literal.
template<small_string< 2 > str>
constexpr uint16_t | operator""_tag ()
| The SAM tag literal, such that tags can be used in constant expressions.
constexpr shape | operator""_shape (unsigned long long const value)
| The seqan3::shape literal.
Nucleotide literals
constexpr dna15 | operator""_dna15 (char const c) noexcept
| The seqan3::dna15 char literal.
constexpr dna15_vector | operator""_dna15 (char const *s, std::size_t n)
| The seqan3::dna15 string literal.
constexpr dna16sam | operator""_dna16sam (char const c) noexcept
| The seqan3::dna16sam char literal.
constexpr dna16sam_vector | operator""_dna16sam (char const *s, size_t n)
| The seqan3::dna16sam string literal.
constexpr dna3bs | operator""_dna3bs (char const c) noexcept
| The seqan3::dna3bs char literal.
constexpr dna3bs_vector | operator""_dna3bs (char const *s, std::size_t n)
| The seqan3::dna3bs string literal.
constexpr dna4 | operator""_dna4 (char const c) noexcept
| The seqan3::dna4 char literal.
constexpr dna4_vector | operator""_dna4 (char const *s, std::size_t n)
| The seqan3::dna4 string literal.
constexpr dna5 | operator""_dna5 (char const c) noexcept
| The seqan3::dna5 char literal.
constexpr dna5_vector | operator""_dna5 (char const *s, std::size_t n)
| The seqan3::dna5 string literal.
constexpr rna15 | operator""_rna15 (char const c) noexcept
| The seqan3::rna15 char literal.
constexpr rna15_vector | operator""_rna15 (char const *s, std::size_t n)
| The seqan3::rna15 string literal.
constexpr rna4 | operator""_rna4 (char const c) noexcept
| The seqan3::rna4 char literal.
constexpr rna4_vector | operator""_rna4 (char const *s, std::size_t n)
| The seqan3::rna4 string literal.
constexpr rna5 | operator""_rna5 (char const c) noexcept
| The seqan3::rna5 char literal.
constexpr rna5_vector | operator""_rna5 (char const *s, std::size_t n)
| The seqan3::rna5 string literal.
Quality literals
constexpr phred42 | operator""_phred42 (char const c) noexcept
| The seqan3::phred42 char literal.
constexpr phred63 | operator""_phred63 (char const c) noexcept
| The seqan3::phred63 char literal.
constexpr phred68solexa | operator""_phred68solexa (char const c) noexcept
| The seqan3::phred68solexa char literal.
constexpr phred94 | operator""_phred94 (char const c) noexcept
| The seqan3::phred94 char literal.
Structure literals
constexpr dot_bracket3 | operator""_db3 (char const ch) noexcept
| The seqan3::db3 char literal.
constexpr std::vector< dot_bracket3 > | operator""_db3 (char const *str, std::size_t len)
| The seqan3::db3 string literal.
constexpr dssp9 | operator""_dssp9 (char const ch) noexcept
| The seqan3::dssp9 char literal.
constexpr std::vector< dssp9 > | operator""_dssp9 (char const *str, std::size_t len)
| The seqan3::dssp9 string literal.
constexpr wuss51 | operator""_wuss51 (char const ch) noexcept
| The seqan3::wuss51 char literal.
constexpr std::vector< wuss51 > | operator""_wuss51 (char const *str, std::size_t len)
| The seqan3::wuss51 string literal.

## Detailed Description

The SeqAn namespace for literals.

This namespace can be imported to use SeqAn3's literal operators:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/nucleotide/dna4.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna4 letter = 'A'_dna4; // identical to assign_char_to('A', letter);
seqan3::dna4_vector sequence = "ACGT"_dna4; // identical to calling assign_char for each element
}
seqan3::dna4
The four letter DNA alphabet of A,C,G,T.
Definition dna4.hpp:50
dna4.hpp
Provides seqan3::dna4, container aliases and string literals.
sequence
The generic concept for a (biological) sequence.
seqan3::literals
The SeqAn namespace for literals.

## Function Documentation

## operator""_cigar_operation()

cigar::operation seqan3::literals::operator""_cigar_operation | ( | char const | c | ) |

constexpr noexcept

The seqan3::cigar::operation char literal.

Returns
  seqan3::cigar::operation

You can use this char literal to assign a seqan3::cigar_operation character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/cigar/cigar.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::cigar::operation letter1{'M'_cigar_operation};
auto letter2 = 'M'_cigar_operation;
}
cigar.hpp
Provides the seqan3::cigar alphabet.
seqan3::cigar::operation
exposition_only::cigar_operation operation
The (extended) cigar operation alphabet of M,D,I,H,N,P,S,X,=.
Definition alphabet/cigar/cigar.hpp:93

This entity is stable. Since version 3.1.

## operator""_db3() [1/2]

std::vector< dot_bracket3 > seqan3::literals::operator""_db3 | ( | char const * | str,
|  | std::size_t | len )

constexpr

The seqan3::db3 string literal.

Parameters

  [in] | str | A pointer to the character string to assign.
  [in] | len | The size of the character string to assign.

Returns
  std::vector<seqan3::dot_bracket3>

You can use this string literal to easily assign to std::vector<seqan3::dot_bracket3>:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/structure/dot_bracket3.hpp>
int main()
{
using namespace seqan3::literals;
std::vector<seqan3::dot_bracket3> sequence1{".(..)."_db3};
std::vector<seqan3::dot_bracket3> sequence2 = ".(..)."_db3;
auto sequence3 = ".(..)."_db3;
}
dot_bracket3.hpp
Provides the dot bracket format for RNA structure.
std::vector

This entity is experimental and subject to change in the future. Experimental since version 3.1.

## operator""_db3() [2/2]

dot_bracket3 seqan3::literals::operator""_db3 | ( | char const | ch | ) |

constexpr noexcept

The seqan3::db3 char literal.

Parameters

  [in] | ch | The character to represent as dot bracket.

Returns
  seqan3::dot_bracket3

You can use this char literal to assign a seqan3::dot_bracket3 character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/structure/dot_bracket3.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dot_bracket3 letter1{'('_db3};
auto letter2 = '('_db3;
}
seqan3::dot_bracket3
The three letter RNA structure alphabet of the characters ".()".
Definition dot_bracket3.hpp:51

This entity is experimental and subject to change in the future. Experimental since version 3.1.

## operator""_dna15() [1/2]

dna15_vector seqan3::literals::operator""_dna15 | ( | char const * | s,
|  | std::size_t | n )

constexpr

The seqan3::dna15 string literal.

Returns
  seqan3::dna15_vector

You can use this string literal to easily assign to dna15_vector:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
// generated from test/snippet/alphabet/nucleotide/@target_alphabet@_literal.cpp.in
#include <seqan3/alphabet/nucleotide/dna15.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna15_vector sequence1{"ACGTTA"_dna15};
seqan3::dna15_vector sequence2 = "ACGTTA"_dna15;
auto sequence3 = "ACGTTA"_dna15;
}
dna15.hpp
Provides seqan3::dna15, container aliases and string literals.

This entity is stable. Since version 3.1.

## operator""_dna15() [2/2]

dna15 seqan3::literals::operator""_dna15 | ( | char const | c | ) |

constexpr noexcept

The seqan3::dna15 char literal.

Returns
  seqan3::dna15

You can use this char literal to assign a seqan3::dna15 character:

#include <seqan3/alphabet/nucleotide/dna15.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna15 letter1{'A'_dna15};
auto letter2 = 'A'_dna15;
}

This entity is stable. Since version 3.1.

## operator""_dna16sam() [1/2]

dna16sam_vector seqan3::literals::operator""_dna16sam | ( | char const * | s,
|  | size_t | n )

constexpr

The seqan3::dna16sam string literal.

Returns
  seqan3::dna16sam_vector

Parameters

  [in] | s | The string literal to assign from.
  [in] | n | The length of the string literal s.

You can use this string literal to easily assign to seqan3::dna16sam_vector:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
// generated from test/snippet/alphabet/nucleotide/@target_alphabet@_literal.cpp.in
#include <seqan3/alphabet/nucleotide/dna16sam.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna16sam_vector sequence1{"ACGTTA"_dna16sam};
seqan3::dna16sam_vector sequence2 = "ACGTTA"_dna16sam;
auto sequence3 = "ACGTTA"_dna16sam;
}
dna16sam.hpp
Provides seqan3::dna16sam.

This entity is stable. Since version 3.1.

## operator""_dna16sam() [2/2]

dna16sam seqan3::literals::operator""_dna16sam | ( | char const | c | ) |

constexpr noexcept

The seqan3::dna16sam char literal.

Returns
  seqan3::dna16sam

Parameters

  [in] | c | The character to assign from.

You can use this char literal to assign a seqan3::dna16sam character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
// generated from test/snippet/alphabet/nucleotide/@target_alphabet@_char_literal.cpp.in
#include <seqan3/alphabet/nucleotide/dna16sam.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna16sam letter1{'A'_dna16sam};
auto letter2 = 'A'_dna16sam;
}
seqan3::dna16sam
A 16 letter DNA alphabet, containing all IUPAC symbols minus the gap and plus an equality sign ('=').
Definition dna16sam.hpp:45

This entity is stable. Since version 3.1.

## operator""_dna3bs() [1/2]

dna3bs_vector seqan3::literals::operator""_dna3bs | ( | char const * | s,
|  | std::size_t | n )

constexpr

The seqan3::dna3bs string literal.

Returns
  seqan3::dna3bs_vector

You can use this string literal to easily assign to dna3bs_vector:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
// generated from test/snippet/alphabet/nucleotide/@target_alphabet@_literal.cpp.in
#include <seqan3/alphabet/nucleotide/dna3bs.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna3bs_vector sequence1{"ACGTTA"_dna3bs};
seqan3::dna3bs_vector sequence2 = "ACGTTA"_dna3bs;
auto sequence3 = "ACGTTA"_dna3bs;
}
dna3bs.hpp
Provides seqan3::dna3bs, container aliases and string literals.

This entity is stable. Since version 3.1.

## operator""_dna3bs() [2/2]

dna3bs seqan3::literals::operator""_dna3bs | ( | char const | c | ) |

constexpr noexcept

The seqan3::dna3bs char literal.

Returns
  seqan3::dna3bs

You can use this char literal to assign a seqan3::dna3bs character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
// generated from test/snippet/alphabet/nucleotide/@target_alphabet@_char_literal.cpp.in
#include <seqan3/alphabet/nucleotide/dna3bs.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna3bs letter1{'A'_dna3bs};
auto letter2 = 'A'_dna3bs;
}
seqan3::dna3bs
The three letter reduced DNA alphabet for bisulfite sequencing mode (A,G,T(=C)).
Definition dna3bs.hpp:58

This entity is stable. Since version 3.1.

## operator""_dna4() [1/2]

dna4_vector seqan3::literals::operator""_dna4 | ( | char const * | s,
|  | std::size_t | n )

constexpr

The seqan3::dna4 string literal.

Returns
  seqan3::dna4_vector You can use this string literal to easily assign to dna4_vector:
  // SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
  // SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
  // SPDX-License-Identifier: CC0-1.0
  // generated from test/snippet/alphabet/nucleotide/@target_alphabet@_literal.cpp.in
  #include <seqan3/alphabet/nucleotide/dna4.hpp>
  int main()
  {
  using namespace seqan3::literals;
  seqan3::dna4_vector sequence1{"ACGTTA"_dna4};
  seqan3::dna4_vector sequence2 = "ACGTTA"_dna4;
  auto sequence3 = "ACGTTA"_dna4;
  }

This entity is stable. Since version 3.1.

## operator""_dna4() [2/2]

dna4 seqan3::literals::operator""_dna4 | ( | char const | c | ) |

constexpr noexcept

The seqan3::dna4 char literal.

Returns
  seqan3::dna4

You can use this char literal to assign a seqan3::dna4 character:

#include <seqan3/alphabet/nucleotide/dna4.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna4 letter1{'A'_dna4};
auto letter2 = 'A'_dna4;
}

This entity is stable. Since version 3.1.

## operator""_dna5() [1/2]

dna5_vector seqan3::literals::operator""_dna5 | ( | char const * | s,
|  | std::size_t | n )

constexpr

The seqan3::dna5 string literal.

Returns
  seqan3::dna5_vector

You can use this string literal to easily assign to dna5_vector:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
// generated from test/snippet/alphabet/nucleotide/@target_alphabet@_literal.cpp.in
#include <seqan3/alphabet/nucleotide/dna5.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna5_vector sequence1{"ACGTTA"_dna5};
seqan3::dna5_vector sequence2 = "ACGTTA"_dna5;
auto sequence3 = "ACGTTA"_dna5;
}
dna5.hpp
Provides seqan3::dna5, container aliases and string literals.

This entity is stable. Since version 3.1.

## operator""_dna5() [2/2]

dna5 seqan3::literals::operator""_dna5 | ( | char const | c | ) |

constexpr noexcept

The seqan3::dna5 char literal.

Returns
  seqan3::dna5

You can use this char literal to assign a seqan3::dna4 character:

#include <seqan3/alphabet/nucleotide/dna4.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dna4 letter1{'A'_dna4};
auto letter2 = 'A'_dna4;
}

This entity is stable. Since version 3.1.

## operator""_dssp9() [1/2]

std::vector< dssp9 > seqan3::literals::operator""_dssp9 | ( | char const * | str,
|  | std::size_t | len )

constexpr

The seqan3::dssp9 string literal.

Parameters

  [in] | str | A pointer to the character string to assign.
  [in] | len | The size of the character string to assign.

Returns
  std::vector<seqan3::dssp9>

You can use this string literal to easily assign to std::vector<seqan3::dssp9>:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/structure/dssp9.hpp>
int main()
{
using namespace seqan3::literals;
std::vector<seqan3::dssp9> sequence1{"EHHHHT"_dssp9};
std::vector<seqan3::dssp9> sequence2 = "EHHHHT"_dssp9;
auto sequence3 = "EHHHHT"_dssp9;
}
dssp9.hpp
Provides the dssp format for protein structure.

This entity is experimental and subject to change in the future. Experimental since version 3.1.

## operator""_dssp9() [2/2]

dssp9 seqan3::literals::operator""_dssp9 | ( | char const | ch | ) |

constexpr noexcept

The seqan3::dssp9 char literal.

Parameters

  [in] | ch | The character to represent as dssp.

Returns
  seqan3::dssp9

You can use this char literal to assign a seqan3::dssp9 character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/structure/dssp9.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::dssp9 letter1{'('_dssp9};
auto letter2 = '('_dssp9;
}
seqan3::dssp9
The protein structure alphabet of the characters "HGIEBTSCX".
Definition dssp9.hpp:59

This entity is experimental and subject to change in the future. Experimental since version 3.1.

## operator""_phred42()

phred42 seqan3::literals::operator""_phred42 | ( | char const | c | ) |

constexpr noexcept

The seqan3::phred42 char literal.

Returns
  seqan3::phred42

You can use this char literal to assign a seqan3::phred42 character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/quality/phred42.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::phred42 letter1{'!'_phred42};
auto letter2 = '!'_phred42;
}
seqan3::phred42
Quality type for traditional Sanger and modern Illumina Phred scores.
Definition phred42.hpp:44
phred42.hpp
Provides seqan3::phred42 quality scores.

This entity is stable. Since version 3.1.

## operator""_phred63()

phred63 seqan3::literals::operator""_phred63 | ( | char const | c | ) |

constexpr noexcept

The seqan3::phred63 char literal.

Returns
  seqan3::phred63

You can use this char literal to assign a seqan3::phred63 character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/quality/phred63.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::phred63 letter1{'!'_phred63};
auto letter2 = '!'_phred63;
}
seqan3::phred63
Quality type for traditional Sanger and modern Illumina Phred scores.
Definition phred63.hpp:44
phred63.hpp
Provides seqan3::phred63 quality scores.

This entity is stable. Since version 3.1.

## operator""_phred68solexa()

phred68solexa seqan3::literals::operator""_phred68solexa | ( | char const | c | ) |

constexpr noexcept

The seqan3::phred68solexa char literal.

Returns
  seqan3::phred68solexa

You can use this char literal to assign a seqan3::phred68solexa character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/quality/phred68solexa.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::phred68solexa letter1{'!'_phred68solexa};
auto letter2 = '!'_phred68solexa;
}
seqan3::phred68solexa
Quality type for Solexa and deprecated Illumina formats.
Definition phred68solexa.hpp:37
phred68solexa.hpp
Provides seqan3::phred68solexa quality scores.

This entity is stable. Since version 3.1.

## operator""_phred94()

phred94 seqan3::literals::operator""_phred94 | ( | char const | c | ) |

constexpr noexcept

The seqan3::phred94 char literal.

Returns
  seqan3::phred94

You can use this char literal to assign a seqan3::phred94 character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/quality/phred94.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::phred94 letter1{'!'_phred94};
auto letter2 = '!'_phred94;
}
seqan3::phred94
Quality type for PacBio Phred scores of HiFi reads.
Definition phred94.hpp:41
phred94.hpp
Provides seqan3::phred94 quality scores.

This entity is stable. Since version 3.1.

## operator""_rna15() [1/2]

rna15_vector seqan3::literals::operator""_rna15 | ( | char const * | s,
|  | std::size_t | n )

constexpr

The seqan3::rna15 string literal.

Returns
  seqan3::rna15_vector

You can use this string literal to easily assign to rna15_vector:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
// generated from test/snippet/alphabet/nucleotide/@target_alphabet@_literal.cpp.in
#include <seqan3/alphabet/nucleotide/rna15.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::rna15_vector sequence1{"ACGTTA"_rna15};
seqan3::rna15_vector sequence2 = "ACGTTA"_rna15;
auto sequence3 = "ACGTTA"_rna15;
}
rna15.hpp
Provides seqan3::rna15, container aliases and string literals.

This entity is stable. Since version 3.1.

## operator""_rna15() [2/2]

rna15 seqan3::literals::operator""_rna15 | ( | char const | c | ) |

constexpr noexcept

The seqan3::rna15 char literal.

Returns
  seqan3::rna15

You can use this char literal to assign a seqan3::rna15 character:

#include <seqan3/alphabet/nucleotide/rna15.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::rna15 letter1{'A'_rna15};
auto letter2 = 'A'_rna15;
}

This entity is stable. Since version 3.1.

## operator""_rna4() [1/2]

rna4_vector seqan3::literals::operator""_rna4 | ( | char const * | s,
|  | std::size_t | n )

constexpr

The seqan3::rna4 string literal.

Returns
  seqan3::rna4_vector

You can use this string literal to easily assign to rna4_vector:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
// generated from test/snippet/alphabet/nucleotide/@target_alphabet@_literal.cpp.in
#include <seqan3/alphabet/nucleotide/rna4.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::rna4_vector sequence1{"ACGTTA"_rna4};
seqan3::rna4_vector sequence2 = "ACGTTA"_rna4;
auto sequence3 = "ACGTTA"_rna4;
}
rna4.hpp
Provides seqan3::rna4, container aliases and string literals.

This entity is stable. Since version 3.1.

## operator""_rna4() [2/2]

rna4 seqan3::literals::operator""_rna4 | ( | char const | c | ) |

constexpr noexcept

The seqan3::rna4 char literal.

Returns
  seqan3::rna4

You can use this char literal to assign a seqan3::rna4 character:

#include <seqan3/alphabet/nucleotide/rna4.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::rna4 letter1{'A'_rna4};
auto letter2 = 'A'_rna4;
}

This entity is stable. Since version 3.1.

## operator""_rna5() [1/2]

rna5_vector seqan3::literals::operator""_rna5 | ( | char const * | s,
|  | std::size_t | n )

constexpr

The seqan3::rna5 string literal.

Returns
  seqan3::rna5_vector

You can use this string literal to easily assign to rna5_vector:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
// generated from test/snippet/alphabet/nucleotide/@target_alphabet@_literal.cpp.in
#include <seqan3/alphabet/nucleotide/rna5.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::rna5_vector sequence1{"ACGTTA"_rna5};
seqan3::rna5_vector sequence2 = "ACGTTA"_rna5;
auto sequence3 = "ACGTTA"_rna5;
}
rna5.hpp
Provides seqan3::rna5, container aliases and string literals.

This entity is stable. Since version 3.1.

## operator""_rna5() [2/2]

rna5 seqan3::literals::operator""_rna5 | ( | char const | c | ) |

constexpr noexcept

The seqan3::rna5 char literal.

Returns
  seqan3::rna5

You can use this char literal to assign a seqan3::rna5 character:

#include <seqan3/alphabet/nucleotide/rna5.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::rna5 letter1{'A'_rna5};
auto letter2 = 'A'_rna5;
}

This entity is stable. Since version 3.1.

## operator""_shape()

shape seqan3::literals::operator""_shape | ( | unsigned long long const | value | ) |

constexpr

The seqan3::shape literal.

Parameters

  [in] | value | The unsigned integer to assign.

Returns
  seqan3::shape

## operator""_wuss51() [1/2]

std::vector< wuss51 > seqan3::literals::operator""_wuss51 | ( | char const * | str,
|  | std::size_t | len )

related

The seqan3::wuss51 string literal.

Parameters

  [in] | str | A pointer to the character string to assign.
  [in] | len | The size of the character string to assign.

Returns
  std::vector<seqan3::wuss51>

You can use this string literal to easily assign to std::vector<seqan3::wuss51>:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/structure/wuss.hpp>
int main()
{
using namespace seqan3::literals;
std::vector<seqan3::wuss51> sequence1{".<..>."_wuss51};
std::vector<seqan3::wuss51> sequence2 = ".<..>."_wuss51;
auto sequence3 = ".<..>."_wuss51;
}
wuss.hpp
Provides the WUSS format for RNA structure.

This entity is experimental and subject to change in the future. Experimental since version 3.1.

## operator""_wuss51() [2/2]

wuss51 seqan3::literals::operator""_wuss51 | ( | char const | ch | ) |

related

The seqan3::wuss51 char literal.

Parameters

  [in] | ch | The character to represent as wuss.

Returns
  seqan3::wuss51

You can use this char literal to assign a seqan3::wuss51 character:

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alphabet/structure/wuss.hpp>
int main()
{
using namespace seqan3::literals;
seqan3::wuss51 letter1{'('_wuss51};
auto letter2 = '('_wuss51;
}

This entity is experimental and subject to change in the future. Experimental since version 3.1.

Hide me